path 1.8.0
path: ^1.8.0 copied to clipboard

A string-based path manipulation library. All of the path operations you know and love, with solid support for Windows, POSIX (Linux and Mac OS X), and the web.

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add path

With Flutter:

 $ flutter pub add path

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  path: ^1.8.0

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:path/path.dart';
579
likes
130
pub points
100%
popularity

Publisher

dart.dev

A string-based path manipulation library. All of the path operations you know and love, with solid support for Windows, POSIX (Linux and Mac OS X), and the web.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

More

Packages that depend on path